import React, { useMemo } from 'react';

import ECharts from '@/components/ECharts';
;
export default (props) => {
  const { opt } = props
  const option = {
    title: {
      text: '农机作业数统计',
      left: 'center'
    },
    legend: {
      orient: 'vertical',
      left: 'left',
      top: '5%'
    },
    series: [
      {
        type: 'pie',
        radius: ['45%', '65%'],
        avoidLabelOverlap: false,
        itemStyle: {
          borderRadius: 10,
          borderColor: '#fff',
          borderWidth: 2
        },
        label: {
          show: false,
          position: 'center',
          formatter: '{b}\n{d}%'
        },
        emphasis: {
          label: {
            show: true,
            fontSize: '18',
          }
        },
        labelLine: {
          show: false
        },
        data: opt
      }
    ]
  }
  return <div style={{ height: '300px', width: '100%' }}> <ECharts option={option} /></div>;
}