import React from 'react';
import classNames from 'classnames';
import { useDate, useTime } from './hooks';
import Styles from './style.less';

export default (props) => {
  const time = useTime();
  const day = useDate();

  const str = props.mode === 'time' ? time : day;

  return (
    <div className={classNames(Styles['clock-box'], props.className)}>
      <div className={Styles['time-label']}>{str}</div>
    </div>
  );
};
